=== plugin/CMakeLists.txt ===
add_subdirectory(dtkuidemo)
add_subdirectory(dtkuiplugin)
