=== debian/changelog ===
dtkwidget (5.6.2.2+1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 01 Dec 2022 22:43:55 +0800

dtkwidget (5.6.2.2) unstable; urgency=medium

  * Release 5.6.2.2

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 30 Nov 2022 10:41:14 +0800
