=== examples/CMakeLists.txt ===
add_subdirectory(dwidget-examples/collections)
add_subdirectory(dwidget-examples/PrintPreviewSettingsPlugin)
