=== plugin/dtkuiplugin/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
     Qt${QT_VERSION_MAJOR}::Widgets
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::UiPlugin
+    Dtk::Gui
 )
 
 target_include_directories(${UIPLUGIN} PUBLIC
