=== examples/dwidget-examples/collections/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
   widgetexample.h 
   lcdnumberexample.h 
   menuexample.h
+  imageviewerexample.h
 
   main.cpp
   mainwindow.cpp 
@@ -68,6 +69,7 @@
   widgetexample.cpp 
   lcdnumberexample.cpp 
   menuexample.cpp
+  imageviewerexample.cpp
 )
 target_link_libraries(${BIN_NAME} PRIVATE 
   Qt5::Widgets
@@ -86,3 +88,4 @@
   ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
 )
 install(TARGETS ${BIN_NAME} DESTINATION "${CMAKE_INSTALL_LIBDIR}/libdtk-${CMAKE_PROJECT_VERSION}/DWidget/examples/")
+dconfig_override_files(APPID dtk-example META_NAME org.deepin.dtkwidget.feature-display FILES ./org.deepin.dtkwiget.feature-display.json)
