=== debian/changelog ===
dtkwidget (5.6.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 13:22:48 +0800

dtkwidget (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Jan 2023 10:36:48 +0800

dtkwidget (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 15:26:28 +0800
