=== debian/control ===
Source: dtkwidget
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config, libudev-dev,
 libqt5x11extras5-dev, libxext-dev, qttools5-dev-tools, qttools5-dev,
 x11proto-xext-dev, libxcb-util0-dev, libstartup-notification0-dev,
 libmtdev-dev, qtbase5-private-dev, libegl1-mesa-dev, libudev-dev,
 libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev,
 libdtkcore-dev, libgsettings-qt-dev, libqt5svg5-dev, libxi-dev,
 libdtkgui-dev, libcups2-dev, libgtest-dev, libdtkcore5-bin, cmake, doxygen
Standards-Version: 3.9.8

Package: libdtkwidget5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkcommon,
  libqt5widgets5(>= 5.11.3.33) | libqt5widgets5(<= 5.11.3.28)
Multi-Arch: same
Description: Deepin graphical user interface library
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains the shared libraries.

Package: libdtkwidget5-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkwidget5( =${binary:Version}),
 libqt5x11extras5-dev, libdtkcore-dev, libqt5svg5-dev
Description: Deepin graphical user interface library utilities
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains the utilities which are
 needed for developing Deepin applications.

Package: libdtkwidget-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkwidget5( =${binary:Version}),
 libqt5x11extras5-dev, libdtkcore-dev, libqt5svg5-dev,
 libdtkgui-dev, libcups2-dev
Description: Deepin graphical user interface library
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains the header files and static libraries which are
 needed for developing Deepin applications.

Package: dtkwidget5-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkwidget5( =${binary:Version})
Description: dtkwidget-examples is generated by dtkwidget.
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing Deepin applications.

Package: dtkwidget-doc
Architecture: any
Description: Deepin graphical user interface library (Document)
 DtkWidget is Deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing Deepin applications.
